首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
宝塔
V2EX  ›  Ruby on Rails

每次安装ror环境都无比的纠结痛苦,各种版本各种错误,不管你怎么努力,升级补装,等待,测试又报错~

  •  
  •   linsk · 2011-08-19 01:18:29 +08:00 · 5039 次点击
    这是一个创建于 3010 天前的主题,其中的信息可能已经有所发展或是发生改变。
    系统就这么的弄脏的
    20 回复  |  直到 1970-01-01 08:00:00 +08:00
        1
    Livid   V2EX Moderator   2011-08-19 01:25:42 +08:00
    我每次在不熟悉的 OS 上搭建 Python 环境也是这样的感觉。
        2
    raptium   2011-08-19 01:35:04 +08:00
    不是有 rvm 和 virtualenv 嘛
    不至於弄臟系統吧
        3
    Anylei   2011-08-19 01:36:20 +08:00
    我觉得还好,在熟悉的系统上配置过几次也就轻车熟路了。
        4
    27493586   2011-08-19 07:32:36 +08:00
    用了一个月Rails了,很爽。
    rvm装ruby,Gemfile跟着走,没有lz这样的问题
        5
    wenhuacn   2011-08-19 09:47:41 +08:00
    虚拟化哥们,虚拟化
        6
    heiguo   2011-08-19 09:54:43 +08:00
    还好啊
    我的步骤都很固定:http://bit.ly/nsIxZ7
        7
    linsk   2011-08-19 11:24:31 +08:00
    @wenhuacn 虚拟化?请讲解一下
        8
    linsk   2011-08-19 11:26:36 +08:00
    @27493586 俺也是。rvm default 1.9.2 ,然后就gem install rails,然后后面还是一堆问题。上一次装ror环境是Snow Leopard发布后装的,每次都是跟着官方guides
        9
    ong   2011-08-19 11:37:00 +08:00
    同郁闷
        10
    roamlog   2011-08-19 12:01:02 +08:00
    要不你看下这个 http://blog.xdite.net/?p=2063
        11
    raptium   2011-08-19 12:03:22 +08:00
    如果你 Gemfile 没变的话 bundle install 应该就自动装好了
    麻烦的是某些 gem 需要 native extension
    这个是安装时候自动编译的 但如果系统里没有相应的 dev 包就可能出错
    解决方法就是记得装依赖的 dev 包 yum install ???-devel 或者 apt-get install lib???-dev 这个就弄脏系统的话那也没办法了 不装肯定不能编译的
        12
    Los   2011-08-19 12:42:39 +08:00
    会遇上问题一般都是不熟悉导致,装两三遍熟悉后就没问题了
        13
    linsk   2011-08-19 13:44:06 +08:00
    好吧。
    Gem 1.8.6(Ruby1.9.2自带)和1.8.8(gem update --system)均有bug。
    gem update --system 1.8.7 后 bundle install就可以了。XXXD
        14
    doyle   2011-08-19 14:02:55 +08:00
    rvm不错~
        15
    spark   2011-08-19 14:57:04 +08:00
    用rvm管理ruby
        16
    wtl   2011-08-20 16:03:23 +08:00
    yep rvm是王道
        17
    makestory   2011-08-20 16:50:31 +08:00
    我感觉Rails环境还是相对好配的啦 有bundle解决了很多问题勒

    LZ什么OS?
        18
    linsk   2011-08-21 00:10:44 +08:00
    @makestory Mac OSX Lion ~ gem有bug。配好的东西一出问题就是疑难杂症了.已经搞定,在13楼
        19
    kaid   2011-08-21 14:30:49 +08:00
    也可以试试chef, puppet, 或者capistrano
        20
    flydream   2011-08-21 15:27:46 +08:00 via Android
    rvm很好
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   3810 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 26ms · UTC 09:43 · PVG 17:43 · LAX 01:43 · JFK 04:43
    ♥ Do have faith in what you're doing.